import request from '@/utils/request'

// 查询地图统计列表
export function listMap(query) {
  return request({
    url: '/tcZz/networkSecurity/map/list',
    method: 'get',
    params: query
  })
}

// 查询地图统计详细
export function getMap(id) {
  return request({
    url: '/tcZz/networkSecurity/map/' + id,
    method: 'get'
  })
}

// 新增地图统计
export function addMap(data) {
  return request({
    url: '/tcZz/networkSecurity/map',
    method: 'post',
    data: data
  })
}

// 修改地图统计
export function updateMap(data) {
  return request({
    url: '/tcZz/networkSecurity/map',
    method: 'put',
    data: data
  })
}

// 删除地图统计
export function delMap(id) {
  return request({
    url: '/tcZz/networkSecurity/map/' + id,
    method: 'delete'
  })
}
